Bug 472259 - (vgcreate_failed) "vgcreate failed for %s" - WARNING: Physical Volume /dev/cciss/c0d0p5 is too large for underlying device
"vgcreate failed for %s" - WARNING: Physical Volume /dev/cciss/c0d0p5 is too ...
Status: CLOSED INSUFFICIENT_DATA
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: anaconda (Show other bugs)
4.6
All Linux
medium Severity urgent
: rc
: ---
Assigned To: Anaconda Maintenance Team
Release Test Team
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-11-19 12:00 EST by mescalinum
Modified: 2011-07-27 12:44 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-07-27 12:44:43 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description mescalinum 2008-11-19 12:00:14 EST
Description of problem:

kickstart installation fails because of this partition layout

zerombr yes
clearpart  --all --initlabel
bootloader --location=mbr hda=ide-scsi --append="pci=nommconf vga=791 rhgb quiet apic=bigsmp"

part /boot --fstype ext3 --size 100  --asprimary
part /     --fstype ext3 --size 8192
part /tmp  --fstype ext3 --size 4096
part swap  --size 7971

part pv.01 --fstype ext3 --size 8192
volgroup usr_vg pv.01
logvol /usr --vgname usr_vg      --name=usrvol    --size 1 --grow

part pv.02 --fstype ext3 --size 1 --grow
volgroup data_vg pv.02
logvol /opt     --vgname data_vg --name=optvol    --size 8192
logvol /var/opt --vgname data_vg --name=varoptvol --size 1 --grow



Version-Release number of selected component (if applicable):

version as anaconda-10.1.1.81


How reproducible:

use kickstart and use this partition layout
the 7971 size comes from 'awk '/^MemTotal:/ {print int($2/1024)}' /proc/meminfo'

The vlm command was: ['lvm', 'vgcreate', '-v', '-An', '-s', '32768k', 'data_vg', '/dev/cciss/c0d0p7']


The error is:
/tmp/lvmout:
File descriptor 3 left open
File descriptor 4 left open
File descriptor 5 left open
File descriptor 6 left open
File descriptor 7 left open
File descriptor 9 left open
File descriptor 10 left open
File descriptor 11 left open
File descriptor 12 left open
File descriptor 13 left open
File descriptor 14 left open
File descriptor 15 left open
File descriptor 17 left open
File descriptor 18 left open
File descriptor 19 left open
File descriptor 20 left open
File descriptor 21 left open
File descriptor 22 left open
  WARNING: Duplicate VG name data_vg: Existing pQO92y-lmfr-FySa-crMt-F6Sm-ofa3-863Ixj (created here) takes precedence over jx0Wxu-YLvc-z5RV-lj6Q-WHt2-oNBc-9omWGr
    Fixing up missing format1 size (7.78 GB) for PV /dev/cciss/c0d0p5
  WARNING: Physical Volume /dev/cciss/c0d0p5 is too large for underlying device
  A volume group called 'data_vg' already exists.
ving volume group "data_vg" metadata (seqno 3).
    Creating volume group backup "/etc/lvm/backup/data_vg" (seqno 3).
    Finding volume group "data_vg"
    Fixing up missing format1 size (7.78 GB) for PV /dev/cciss/c0d0p5
  WARNING: Physical Volume /dev/cciss/c0d0p5 is too large for underlying device
    Archiving volume group "data_vg" metadata (seqno 3).
    Archiving volume group "data_vg" metadata (seqno 3).
    Creating volume group backup "/etc/lvm/backup/data_vg" (seqno 3).
    Finding volume group "usr_vg"
    Archiving volume group "usr_vg" metadata (seqno 1).
    Creating volume group backup "/etc/lvm/backup/usr_vg" (seqno 1).
  Reading all physical volumes.  This may take a while...
  Found volume group "data_vg" using metadata type lvm2
  Found volume group "data_vg" using metadata type lvm2
  Found volume group "usr_vg" using metadata type lvm2
Comment 1 Federico.Ferri 2008-11-20 10:08:59 EST
I found the problem is not in this specific layout itself.

I use a similar layout over and over, cause I repeat the install of this os image many times.

if i perform a:

dd if=/dev/zero of=/dev/ccis/c0d0 bs=1G count=100

then I repeat the installation with the same ks and goes fine.

maybe some of:

zerombr yes
clearpart  --all --initlabel

are not working?
Comment 2 David Lehman 2008-11-20 11:59:24 EST
You should really try this with 4.7. We fixed a bug (257161) where certain LVM operations failed because of obsolete metadata. Specifically, lvm metadata describing volume groups on disks that had been cleared was preventing us from creating a new volume group of the same name.

Also, as always, we need to see the actual (complete) traceback and/or error message you received. /tmp/anaconda.log is also often useful.

Note You need to log in before you can comment on or make changes to this bug.